import request from '@/utils/request';
import { getToken } from '@/utils/auth'
// 登录方法
export function chatLogin(code, uuid) {
  const data = {
    password: "I8zZGBdzG+YloVHgTyjdZ3wox0oUU1xr5UpG0oSS5jrGOXGAZBUnAlSvD/eGzjzy+vnz6rWu4rVLkNcRc/o1x57FT0YO8Ak9OSdTcgzycE7kz3ZhK//taMCxnmGEBPiZmM4IUz5JxU9LGb5r0mnNEii4lTRFo7Nvn3zTqMTgfMU=",
    username: "yq",
    code: code,
    uuid: uuid
  }
  return request({
    url: '/chat-api/auth/login',
    headers: {
      isToken: false
    },
	hasHead: true,
    method: 'post',
    data: data
  })
}

// 获取验证码
export function getChatCode() {
  return request({
    url: `/chat-api/auth/code?v=${(new Date().getTime())}`,
    headers: {
      isToken: false
    },
	hasHead: true,
    method: 'get',
    timeout: 20000
  })
}
// 获取设备列表
export function getChatSn() {
  return request({
    url: '/chat-api/api/map/peopleGroup?keyword=&traceTime=0',
    headers: {
		"Authorization":  JSON.parse(getToken("Chat-Token")).token,
		"Content-Type": "application/x-www-form-urlencoded"
    },
	hasHead: true,
    method: 'get'
  })
}