import request from '@/utils/request'
// 登录方法
export function helmetLogin() {
  const data = {
	user_name: "易站智联",
	pkey: "e7d7cbe91171c493e8022a418d16bb7d"
  }
  return request({
    url: '/helmet-api/index.php?ctl=tool&act=get_token',
    headers: {
      isToken: false
    },
	hasHead: true,
    method: 'post',
    data: data
  })
}
// 查询安全帽列表
export function getHelmetList(data) {
	return request({
		url: '/helmet-api/index.php?ctl=bruce&act=get_group_member_list',
		method: 'post',
		hasHead: true,
		data: data
	})
}
// 查询安全帽截图列表
export function getHelmetImg(data) {
	return request({
		url: '/helmet-api/index.php?ctl=report&act=get_user_image',
		method: 'post',
		hasHead: true,
		data: data
	})
}
// 查询安全帽录像列表
export function getHelmetVideo(data) {
	return request({
		url: '/helmet-api/index.php?ctl=video&act=get_video_list_v1',
		method: 'post',
		hasHead: true,
		data: data
	})
}